package com.hzya.frame.u9c.bom.details.entity;

import com.hzya.frame.web.entity.BaseEntity;
/**
 * (VHzyaBomDetails)实体类
 *
 * @author xiang2lin
 * @since 2023-11-01 15:24:43
 */
public class VHzyaBomDetailsEntity extends BaseEntity {
 
    
    private String id;
    
    private String name;
    
    private String code;
    
    private String skuCode;
    
    private String parentId;
    
    private String replaceId;
    
    private String itemNumber;
    
    private String subitem;
    
    private String modifyTime;
    
    private String usageType;
    
    private String dosage;
    
    private String parentNumber;
    
    private String rounding;
    
    private String effectiveOrNot;
    
    private String effectiveDate;




    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSkuCode() {
        return skuCode;
    }

    public void setSkuCode(String skuCode) {
        this.skuCode = skuCode;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getReplaceId() {
        return replaceId;
    }

    public void setReplaceId(String replaceId) {
        this.replaceId = replaceId;
    }

    public String getItemNumber() {
        return itemNumber;
    }

    public void setItemNumber(String itemNumber) {
        this.itemNumber = itemNumber;
    }

    public String getSubitem() {
        return subitem;
    }

    public void setSubitem(String subitem) {
        this.subitem = subitem;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getUsageType() {
        return usageType;
    }

    public void setUsageType(String usageType) {
        this.usageType = usageType;
    }

    public String getDosage() {
        return dosage;
    }

    public void setDosage(String dosage) {
        this.dosage = dosage;
    }

    public String getParentNumber() {
        return parentNumber;
    }

    public void setParentNumber(String parentNumber) {
        this.parentNumber = parentNumber;
    }

    public String getRounding() {
        return rounding;
    }

    public void setRounding(String rounding) {
        this.rounding = rounding;
    }

    public String getEffectiveOrNot() {
        return effectiveOrNot;
    }

    public void setEffectiveOrNot(String effectiveOrNot) {
        this.effectiveOrNot = effectiveOrNot;
    }

    public String getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(String effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

}

